Index: WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCTF.m
===================================================================
--- WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCTF.m	(revision 613)
+++ WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFCTF.m	(revision 623)
@@ -1,79 +1,75 @@
-VAFCTF	;BIR/DLR-Utility for capturing patient's Date Last Treated and Event Reason ;9/9/2002
-	;;5.3;Registration;**428,713,766**;Aug 13, 1993;Build 3
-	Q  ; quit if called from the top
-	;
-	;Reference to ^SCE("ADFN" supported by IA# 2953
-	;Reference to EXC^RGHLLOG supported by IA# 2796
-	;Reference to $$ICNLC^MPIF001 supported by IA #3072
-	;
-EN1(VAFCDFN,VAFCSUP)	; determine the LAST TREATMENT DATE for a single
-	; patient
-	; input: VAFCDFN - the dfn of the patient
-	;        VAFCSUP - if 1, suppress add entries to the ADT HL7 PIVOT
-	;                (#391.71) file for TF messaging - VAFCTFMF (optional)
-	; output: VAFCDATE - patient's DATE LAST TREATED
-	;         VAFCENVR - event reason
-	;
-	N ERR,VAFCSITE,VAFCLAST,VAFCSITE,VAFCADMD,VAFCENDT,VAFCDATE,VAFCENVR,VAFCTYPE
-	S U="^"
-	S:'$D(VAFCSITE) VAFCSITE=$$KSP^XUPARAM("INST") ;defines the local facility
-	S (VAFCLAST,VAFCADMD)=$$ADMDIS(VAFCDFN) ; dt_"^"_event type or ""
-	S VAFCADMD=$S(VAFCADMD]"":$P(VAFCADMD,"^"),1:"") ; event dt or null
-	S:$P(VAFCLAST,"^",2)=3!(VAFCLAST="") VAFCENDT=$$ENCDT(VAFCDFN,VAFCADMD)
-	; patient has been discharged or has never been admitted.  Has this
-	; individual been checked out of a clinic? 
-	I $D(VAFCENDT)#2,($P(VAFCLAST,U)) S VAFCLAST=$S(+VAFCENDT>+VAFCLAST:VAFCENDT,1:VAFCLAST)
-	I $D(VAFCENDT)#2,('$P(VAFCLAST,U)) S VAFCLAST=VAFCENDT
-	S VAFCTYPE=$P(VAFCLAST,"^",2),VAFCDATE=+VAFCLAST
-	; input variables to FILE^VAFCTFU
-	; VAFCDFN - patient ien ; VAFCSITE - treating facility
-	; VAFCDATE - date last treated ; VAFCENVR - event reason
-	;
-	I +VAFCDATE'>0 S VAFCDATE="",VAFCENVR=""
-	I +VAFCDATE>0 S VAFCENVR=$S(VAFCTYPE=1:"A1",VAFCTYPE=3:"A2",1:"A3") ;A1=adm;A2=dis;A3=CO
-	N STA,ICN S ICN=$$ICNLC^MPIF001(VAFCDFN),STA=$P($$SITE^VASITE,"^",3)
-	D FILE^VAFCTFU(VAFCDFN,VAFCSITE_U_VAFCDATE_U_VAFCENVR,$G(VAFCSUP),1,.ERR) I $D(ERR(STA)) D EXC^RGHLLOG(212,ERR(STA),VAFCDFN)
-	;
-	Q
-ADMDIS(DFN)	; find the patient's last admission and discharge dates if
-	; they exist.
-	; Input: DFN - ien of the patient (file 2)
-	;Output: a valid discharge/admission date/time concatenated with
-	;        the event type (1=admission, 3=discharge) -or- null
-	N %,VAERR,VAIP S VAIP("D")="LAST" D IN5^VADPT
-	I '+$G(VAIP(17,1)),('+$G(VAIP(13,1))) Q ""
-	; no discharge date, no admission date, return null
-	I '+$G(VAIP(17,1)) Q $P($G(VAIP(13,1)),U)_"^1"
-	; no discharge date, return admission date
-	I '+$G(VAIP(13,1)) Q $P($G(VAIP(17,1)),U)_"^3"
-	; no admission date, return discharge date
-	I +$G(VAIP(17,1))>(+$G(VAIP(13,1))) Q +$G(VAIP(17,1))_"^3"
-	; return discharge date
-	Q +$G(VAIP(13,1))_"^1" ; return admission date
-	;
-ENCDT(DFN,INPDT)	; find the last patient check out date/time.  'ADFN'
-	; cross-reference accessed through DBIA: 2953
-	; Input: DFN  - ien of the patient (file 2)
-	;        INPDT - date (if any) returned from the inpatient admission/
-	;               discharge subroutine     
-	;Output: a valid discharge/admission date/time concatenated with
-	;        the event type (5=check out) -or- null
-	Q:'DFN "" ; we need dfn defined
-	N VAFCDATA,VAFCPURG,VAFCX,VAFCX1,VAFCX2,VAFCX3
-	S VAFCX=9999999.9999999,VAFCX2=0,VAFCX3=""
-	F  S VAFCX=$O(^SCE("ADFN",DFN,VAFCX),-1) Q:'VAFCX!(INPDT>VAFCX)  D  Q:VAFCX2
-	. S VAFCX1=0 F  S VAFCX1=$O(^SCE("ADFN",DFN,VAFCX,VAFCX1)) Q:'VAFCX1  D  Q:VAFCX2
-	.. D GETGEN^SDOE(VAFCX1,"VAFCDATA")
-	.. D PARSE^SDOE(.VAFCDATA,"EXTERNAL","VAFCPARS")
-	.. I $G(VAFCPARS(.12))="CHECKED OUT" S VAFCX2=1,VAFCX3=VAFCX
-	.. K VAFCDATA,VAFCPARS
-	.. Q
-	. Q
-	K VAFCDATA,VAFCPURG,VAFCX,VAFCX1,VAFCX2
-	;DG*5.3*766
-	I $E(VAFCX3,9,10)>23 S VAFCX3=$E(VAFCX3,1,8)_"23"_$E(VAFCX3,11,14)
-	I $E(VAFCX3,11)>5 S VAFCX3=$E(VAFCX3,1,10)_"59"_$E(VAFCX3,13,14)
-	;DG*5.3*713
-	I $E(VAFCX3,13)>5 S VAFCX3=$E(VAFCX3,1,12)_"59"
-	Q VAFCX3_"^5" ; X is either null or the date/time of the check out
-	;
+VAFCTF ;BIR/DLR-Utility for capturing patient's Date Last Treated and Event Reason ;9/9/2002
+ ;;5.3;Registration;**428,713**;Aug 13, 1993
+ Q  ; quit if called from the top
+ ;
+ ;Reference to ^SCE("ADFN" supported by IA# 2953
+ ;Reference to EXC^RGHLLOG supported by IA# 2796
+ ;Reference to $$ICNLC^MPIF001 supported by IA #3072
+ ;
+EN1(VAFCDFN,VAFCSUP) ; determine the LAST TREATMENT DATE for a single
+ ; patient
+ ; input: VAFCDFN - the dfn of the patient
+ ;        VAFCSUP - if 1, suppress add entries to the ADT HL7 PIVOT
+ ;                (#391.71) file for TF messaging - VAFCTFMF (optional)
+ ; output: VAFCDATE - patient's DATE LAST TREATED
+ ;         VAFCENVR - event reason
+ ;
+ N ERR,VAFCSITE,VAFCLAST,VAFCSITE,VAFCADMD,VAFCENDT,VAFCDATE,VAFCENVR,VAFCTYPE
+ S U="^"
+ S:'$D(VAFCSITE) VAFCSITE=$$KSP^XUPARAM("INST") ;defines the local facility
+ S (VAFCLAST,VAFCADMD)=$$ADMDIS(VAFCDFN) ; dt_"^"_event type or ""
+ S VAFCADMD=$S(VAFCADMD]"":$P(VAFCADMD,"^"),1:"") ; event dt or null
+ S:$P(VAFCLAST,"^",2)=3!(VAFCLAST="") VAFCENDT=$$ENCDT(VAFCDFN,VAFCADMD)
+ ; patient has been discharged or has never been admitted.  Has this
+ ; individual been checked out of a clinic? 
+ I $D(VAFCENDT)#2,($P(VAFCLAST,U)) S VAFCLAST=$S(+VAFCENDT>+VAFCLAST:VAFCENDT,1:VAFCLAST)
+ I $D(VAFCENDT)#2,('$P(VAFCLAST,U)) S VAFCLAST=VAFCENDT
+ S VAFCTYPE=$P(VAFCLAST,"^",2),VAFCDATE=+VAFCLAST
+ ; input variables to FILE^VAFCTFU
+ ; VAFCDFN - patient ien ; VAFCSITE - treating facility
+ ; VAFCDATE - date last treated ; VAFCENVR - event reason
+ ;
+ I +VAFCDATE'>0 S VAFCDATE="",VAFCENVR=""
+ I +VAFCDATE>0 S VAFCENVR=$S(VAFCTYPE=1:"A1",VAFCTYPE=3:"A2",1:"A3") ;A1=adm;A2=dis;A3=CO
+ N STA,ICN S ICN=$$ICNLC^MPIF001(VAFCDFN),STA=$P($$SITE^VASITE,"^",3)
+ D FILE^VAFCTFU(VAFCDFN,VAFCSITE_U_VAFCDATE_U_VAFCENVR,$G(VAFCSUP),1,.ERR) I $D(ERR(STA)) D EXC^RGHLLOG(212,ERR(STA),VAFCDFN)
+ ;
+ Q
+ADMDIS(DFN) ; find the patient's last admission and discharge dates if
+ ; they exist.
+ ; Input: DFN - ien of the patient (file 2)
+ ;Output: a valid discharge/admission date/time concatenated with
+ ;        the event type (1=admission, 3=discharge) -or- null
+ N %,VAERR,VAIP S VAIP("D")="LAST" D IN5^VADPT
+ I '+$G(VAIP(17,1)),('+$G(VAIP(13,1))) Q ""
+ ; no discharge date, no admission date, return null
+ I '+$G(VAIP(17,1)) Q $P($G(VAIP(13,1)),U)_"^1"
+ ; no discharge date, return admission date
+ I '+$G(VAIP(13,1)) Q $P($G(VAIP(17,1)),U)_"^3"
+ ; no admission date, return discharge date
+ I +$G(VAIP(17,1))>(+$G(VAIP(13,1))) Q +$G(VAIP(17,1))_"^3"
+ ; return discharge date
+ Q +$G(VAIP(13,1))_"^1" ; return admission date
+ ;
+ENCDT(DFN,INPDT) ; find the last patient check out date/time.  'ADFN'
+ ; cross-reference accessed through DBIA: 2953
+ ; Input: DFN  - ien of the patient (file 2)
+ ;        INPDT - date (if any) returned from the inpatient admission/
+ ;               discharge subroutine     
+ ;Output: a valid discharge/admission date/time concatenated with
+ ;        the event type (5=check out) -or- null
+ Q:'DFN "" ; we need dfn defined
+ N VAFCDATA,VAFCPURG,VAFCX,VAFCX1,VAFCX2,VAFCX3
+ S VAFCX=9999999.9999999,VAFCX2=0,VAFCX3=""
+ F  S VAFCX=$O(^SCE("ADFN",DFN,VAFCX),-1) Q:'VAFCX!(INPDT>VAFCX)  D  Q:VAFCX2
+ . S VAFCX1=0 F  S VAFCX1=$O(^SCE("ADFN",DFN,VAFCX,VAFCX1)) Q:'VAFCX1  D  Q:VAFCX2
+ .. D GETGEN^SDOE(VAFCX1,"VAFCDATA")
+ .. D PARSE^SDOE(.VAFCDATA,"EXTERNAL","VAFCPARS")
+ .. I $G(VAFCPARS(.12))="CHECKED OUT" S VAFCX2=1,VAFCX3=VAFCX
+ .. K VAFCDATA,VAFCPARS
+ .. Q
+ . Q
+ K VAFCDATA,VAFCPURG,VAFCX,VAFCX1,VAFCX2
+ I $E(VAFCX3,13)>5 S VAFCX3=$E(VAFCX3,1,12)_"59"
+ Q VAFCX3_"^5" ; X is either null or the date/time of the check out
+ ;
Index: WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPID.m
===================================================================
--- WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPID.m	(revision 613)
+++ WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/VAFHLPID.m	(revision 623)
@@ -1,93 +1,91 @@
-VAFHLPID	;ALB/MLI/ESD - Create generic PID segment ; 21 Nov 2002  3:13 PM
-	;;5.3;Registration;**68,94,415,508,749**;Aug 13, 1993;Build 10
-	;
-	; This routine returns the HL7 defined PID segment with its
-	; mappings to DHCP PATIENT file fields.
-	;
-EN(DFN,VAFSTR,VAFNUM,PTID)	; returns PID segment
-	;  Input - DFN as internal entry number of the PATIENT file
-	;          VAFSTR as string of fields requested separated by commas
-	;          VAFNUM as sequential number for SET ID (default=1)
-	;          PTID is flag denoting which Patient ID (seq 3) to use
-	;              0 - Use DFN formatted as data type CK (default)
-	;              1 - Use ICN
-	;              2 - Use DFN formatted as data type CX
-	;              3 - Use SSN (with dashes)
-	;
-	;      ****Also assumes all HL7 variables returned from****
-	;          INIT^HLTRANS are defined
-	;
-	; Output - String containing the desired components of the PID segment
-	;          VAFPID(n) - if the string is longer than 245, the remaining
-	;                      characters will be returned in VAFPID(n) where
-	;                      n is a sequential number beginning with 1
-	;
-	; WARNING: This routine makes external calls to VADPT.  Non-namespaced
-	;          variables may be altered.
-	;
-	N I,VAFY,VA,VADM,X,X1,Y,OUTPUT,DGNAME,DGMMN,VAPA ; calls VADPT...have to NEW
-	S VAFSTR=$G(VAFSTR) ; if not defined, just return required fields
-	S DFN=$G(DFN)
-	I DFN']"" G QUIT
-	;Get demographics and permanent address
-	S VAPA("P")="" D 4^VADPT
-	S VAFSTR=","_VAFSTR_","
-	K VAFY
-	;Set ID (#1)
-	I VAFSTR[",1," S VAFY(1)=$S($G(VAFNUM):VAFNUM,1:1)
-	;External ID (#2)
-	I VAFSTR[",2," S X=$G(VA("PID")),VAFY(2)=$S(X]"":$$M10^HLFNC(X),1:HLQ)
-	;Patient ID (#3 - req)
-	S PTID=+$G(PTID)
-	I 'PTID S VAFY(3)=$$M10^HLFNC(DFN)
-	I PTID D
-	.S X=$S(PTID=1:"NI",PTID=2:"PI",PTID=3:"SS")
-	.S VAFY(3)=$$SEQ3^VAFHLPI1(DFN,X,HLECH,HLQ)
-	;Alternate ID (#4)
-	I VAFSTR[",4," S X=$G(VA("BID")),VAFY(4)=$S(X]"":X,1:HLQ)
-	;Name (#5 - req)
-	S DGNAME("FILE")=2,DGNAME("IENS")=DFN,DGNAME("FIELD")=.01
-	S X=$$HLNAME^XLFNAME(.DGNAME,"",$E(HLECH)),VAFY(5)=$S(X]"":X,1:HLQ)
-	;Mother's maiden name (#6)
-	I VAFSTR[",6," D
-	.S DGMMN("FILE")=2,DGMMN("IENS")=DFN,DGMMN("FIELD")=.2403
-	.S X=$$HLNAME^XLFNAME(.DGMMN,"",$E(HLECH)),VAFY(6)=$S(X]"":X,1:HLQ)
-	;Date of birth (#7)
-	I VAFSTR[",7," S VAFY(7)=$$HLDATE^HLFNC(+VADM(3))
-	;Sex (#8)
-	I VAFSTR[",8," S X=$P(VADM(5),"^",1),VAFY(8)=$S("^M^F^"[("^"_X_"^"):X,1:"U")
-	;Race (#10)
-	I VAFSTR[10 D
-	.N HOW
-	.S Y=$F(VAFSTR,"10")
-	.S HOW=$P($E(VAFSTR,Y,$F(VAFSTR,",",Y)),",",1)
-	.D SEQ10^VAFHLPI1(HOW,HLQ)
-	;Address (#11)
-	I VAFSTR[11 D
-	.N HOW
-	.S Y=$F(VAFSTR,"11")
-	.S HOW=$P($E(VAFSTR,Y,$F(VAFSTR,",",Y)),",",1)
-	.D SEQ11^VAFHLPI2(HOW,HLQ)
-	;County (#12)
-	I VAFSTR[12 S X1=$P($G(^DIC(5,+$G(VAPA(5)),1,+$G(VAPA(7)),0)),"^",3),VAFY(12)=$S(X1]"":X1,1:HLQ)
-	S X=$G(^DPT(DFN,.13))
-	;Home phone (#13)
-	I VAFSTR[13 S X1=$$HLPHONE^HLFNC($P(X,"^",1)),VAFY(13)=$S(X1]"":X1,1:HLQ)
-	;Business phone (#14)
-	I VAFSTR[14 S X1=$$HLPHONE^HLFNC($P(X,"^",2)),VAFY(14)=$S(X1]"":X1,1:HLQ)
-	;Marital status (#16)
-	I VAFSTR[16 S X=$P($G(^DIC(11,+VADM(10),0)),"^",3),VAFY(16)=$S(X="N":"S",X="U":"",X="":HLQ,1:X)
-	;Religious preference (#17) (if blank send 29 (UNKNOWN))
-	I VAFSTR[17 S X=$P($G(^DIC(13,+VADM(9),0)),"^",4),VAFY(17)=$S(X]"":X,1:29)
-	;SSN (#19)
-	I VAFSTR[19 S X=$P(VADM(2),"^",1),VAFY(19)=$S(X]"":X,1:HLQ)
-	;Ethnicity (#22)
-	I VAFSTR[22 D
-	.N HOW
-	.S Y=$F(VAFSTR,"22")
-	.S HOW=$P($E(VAFSTR,Y,$F(VAFSTR,",",Y)),",",1)
-	.D SEQ22^VAFHLPI1(HOW,HLQ)
-	;
-QUIT	D KVA^VADPT
-	D MAKEIT^VAFHLU("PID",.VAFY,.OUTPUT,.VAFPID)
-	Q OUTPUT
+VAFHLPID ;ALB/MLI/ESD - Create generic PID segment ; 21 Nov 2002  3:13 PM
+ ;;5.3;Registration;**68,94,415,508**;Aug 13, 1993
+ ;
+ ; This routine returns the HL7 defined PID segment with its
+ ; mappings to DHCP PATIENT file fields.
+ ;
+EN(DFN,VAFSTR,VAFNUM,PTID) ; returns PID segment
+ ;  Input - DFN as internal entry number of the PATIENT file
+ ;          VAFSTR as string of fields requested separated by commas
+ ;          VAFNUM as sequential number for SET ID (default=1)
+ ;          PTID is flag denoting which Patient ID (seq 3) to use
+ ;              0 - Use DFN formatted as data type CK (default)
+ ;              1 - Use ICN
+ ;              2 - Use DFN formatted as data type CX
+ ;              3 - Use SSN (with dashes)
+ ;
+ ;      ****Also assumes all HL7 variables returned from****
+ ;          INIT^HLTRANS are defined
+ ;
+ ; Output - String containing the desired components of the PID segment
+ ;          VAFPID(n) - if the string is longer than 245, the remaining
+ ;                      characters will be returned in VAFPID(n) where
+ ;                      n is a sequential number beginning with 1
+ ;
+ ; WARNING: This routine makes external calls to VADPT.  Non-namespaced
+ ;          variables may be altered.
+ ;
+ N I,VAFY,VA,VADM,X,X1,Y,OUTPUT,DGNAME,VAPA ; calls VADPT...have to NEW
+ S VAFSTR=$G(VAFSTR) ; if not defined, just return required fields
+ S DFN=$G(DFN)
+ I DFN']"" G QUIT
+ ;Get demographics and permanent address
+ S VAPA("P")="" D 4^VADPT
+ S VAFSTR=","_VAFSTR_","
+ K VAFY
+ ;Set ID (#1)
+ I VAFSTR[",1," S VAFY(1)=$S($G(VAFNUM):VAFNUM,1:1)
+ ;External ID (#2)
+ I VAFSTR[",2," S X=$G(VA("PID")),VAFY(2)=$S(X]"":$$M10^HLFNC(X),1:HLQ)
+ ;Patient ID (#3 - req)
+ S PTID=+$G(PTID)
+ I 'PTID S VAFY(3)=$$M10^HLFNC(DFN)
+ I PTID D
+ .S X=$S(PTID=1:"NI",PTID=2:"PI",PTID=3:"SS")
+ .S VAFY(3)=$$SEQ3^VAFHLPI1(DFN,X,HLECH,HLQ)
+ ;Alternate ID (#4)
+ I VAFSTR[",4," S X=$G(VA("BID")),VAFY(4)=$S(X]"":X,1:HLQ)
+ ;Name (#5 - req)
+ S DGNAME("FILE")=2,DGNAME("IENS")=DFN,DGNAME("FIELD")=.01
+ S X=$$HLNAME^XLFNAME(.DGNAME,"",$E(HLECH)),VAFY(5)=$S(X]"":X,1:HLQ)
+ ;Mother's maiden name (#6)
+ I VAFSTR[",6," S X=$P($G(^DPT(DFN,.24)),"^",3),VAFY(6)=$S(X]"":X,1:HLQ)
+ ;Date of birth (#7)
+ I VAFSTR[",7," S VAFY(7)=$$HLDATE^HLFNC(+VADM(3))
+ ;Sex (#8)
+ I VAFSTR[",8," S X=$P(VADM(5),"^",1),VAFY(8)=$S("^M^F^"[("^"_X_"^"):X,1:"U")
+ ;Race (#10)
+ I VAFSTR[10 D
+ .N HOW
+ .S Y=$F(VAFSTR,"10")
+ .S HOW=$P($E(VAFSTR,Y,$F(VAFSTR,",",Y)),",",1)
+ .D SEQ10^VAFHLPI1(HOW,HLQ)
+ ;Address (#11)
+ I VAFSTR[11 D
+ .N HOW
+ .S Y=$F(VAFSTR,"11")
+ .S HOW=$P($E(VAFSTR,Y,$F(VAFSTR,",",Y)),",",1)
+ .D SEQ11^VAFHLPI2(HOW,HLQ)
+ ;County (#12)
+ I VAFSTR[12 S X1=$P($G(^DIC(5,+$G(VAPA(5)),1,+$G(VAPA(7)),0)),"^",3),VAFY(12)=$S(X1]"":X1,1:HLQ)
+ S X=$G(^DPT(DFN,.13))
+ ;Home phone (#13)
+ I VAFSTR[13 S X1=$$HLPHONE^HLFNC($P(X,"^",1)),VAFY(13)=$S(X1]"":X1,1:HLQ)
+ ;Business phone (#14)
+ I VAFSTR[14 S X1=$$HLPHONE^HLFNC($P(X,"^",2)),VAFY(14)=$S(X1]"":X1,1:HLQ)
+ ;Marital status (#16)
+ I VAFSTR[16 S X=$P($G(^DIC(11,+VADM(10),0)),"^",3),VAFY(16)=$S(X="N":"S",X="U":"",X="":HLQ,1:X)
+ ;Religious preference (#17) (if blank send 29 (UNKNOWN))
+ I VAFSTR[17 S X=$P($G(^DIC(13,+VADM(9),0)),"^",4),VAFY(17)=$S(X]"":X,1:29)
+ ;SSN (#19)
+ I VAFSTR[19 S X=$P(VADM(2),"^",1),VAFY(19)=$S(X]"":X,1:HLQ)
+ ;Ethnicity (#22)
+ I VAFSTR[22 D
+ .N HOW
+ .S Y=$F(VAFSTR,"22")
+ .S HOW=$P($E(VAFSTR,Y,$F(VAFSTR,",",Y)),",",1)
+ .D SEQ22^VAFHLPI1(HOW,HLQ)
+ ;
+QUIT D KVA^VADPT
+ D MAKEIT^VAFHLU("PID",.VAFY,.OUTPUT,.VAFPID)
+ Q OUTPUT
